Page MenuHomePhabricator

Increase width of the eu_aspect column to allow inclusion of language codes.
Closed, ResolvedPublic

Description

Implement the (updated, as of March 18) outcome of discussion ticket T90563:

  • change the definition of wbc_entuty_usage.eu_aspect to VARBINARY(37) to allow the inclusion of language codes. The width is borrowed from the fact that page.page_language is VARBINARY(35) (plus 2 for "L/").

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterIncrease width of the eu_aspect column to varbinary(37).

Event Timeline

daniel created this task.Mar 10 2015, 4:53 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 4:53 PM
Lydia_Pintscher triaged this task as High priority.Mar 13 2015, 10:34 AM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
daniel renamed this task from Add render_key field to wbc_entity_usage to enable per-language usage tracking to Increase width of the eu_aspect column to allow inclusion of language codes..Mar 18 2015, 10:25 AM
daniel updated the task description. (Show Details)

Change 197504 had a related patch set uploaded (by Daniel Kinzler):
Increase width of the eu_aspect column to varbinary(37).

https://gerrit.wikimedia.org/r/197504

For consistency, the entire chain leading up to I3f5d70802 should be merged.

Change 197504 merged by jenkins-bot:
Increase width of the eu_aspect column to varbinary(37).

https://gerrit.wikimedia.org/r/197504

daniel closed this task as Resolved.Mar 30 2015, 2:04 PM

merged